Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.store
Class Locale

    java.lang.Object
      org.apache.xmlbeans.impl.store.Locale

All Implemented Interfaces:
  XmlLocale, Saaj.SaajCallback, DOMImplementation

    public final class Locale

extends java.lang.Object
implements DOMImplementation, Saaj.SaajCallback, XmlLocale

Field Summary
`static java.lang.String` | `COPY_USE_NEW_LOCALE` Deprecated. Replace usages with CopyUseNewSynchronizationDomain option
`static java.lang.String` | `USE_SAME_LOCALE`

Method Summary
`static void` | `clearThreadLocals()`
`Document` | `createDocument(java.lang.String uri, java.lang.String qname, DocumentType doctype)`
`DocumentType` | `createDocumentType(java.lang.String qname, java.lang.String publicId, java.lang.String systemId)`
`Element` | `createSoapElement(javax.xml.namespace.QName name, javax.xml.namespace.QName parentName)`
`void` | `enter()`
`void` | `enter(Locale otherLocale)`
`void` | `exit()`
`void` | `exit(Locale otherLocale)`
`java.lang.Object` | `getFeature(java.lang.String feature, java.lang.String version)`
`java.lang.Object` | `getSaajData(Node n)`
`boolean` | `hasFeature(java.lang.String feature, java.lang.String version)`
`Element` | `importSoapElement(Document doc, Element elem, boolean deep, javax.xml.namespace.QName parentName)`
`org.apache.xmlbeans.impl.store.DomImpl.Dom` | `load(java.io.InputStream in)`
`org.apache.xmlbeans.impl.store.DomImpl.Dom` | `load(java.io.InputStream in, XmlOptions options)`
`org.apache.xmlbeans.impl.store.DomImpl.Dom` | `load(java.io.Reader r)`
`org.apache.xmlbeans.impl.store.DomImpl.Dom` | `load(java.io.Reader r, XmlOptions options)`
`org.apache.xmlbeans.impl.store.DomImpl.Dom` | `load(java.lang.String s)`
`org.apache.xmlbeans.impl.store.DomImpl.Dom` | `load(java.lang.String s, XmlOptions options)`
`static DOMImplementation` | `newDomImplementation(SchemaTypeLoader stl, XmlOptions options)`
`static XmlObject` | `newInstance(SchemaTypeLoader stl, SchemaType type, XmlOptions options)`
`static XmlSaxHandler` | `newSaxHandler(SchemaTypeLoader stl, SchemaType type, XmlOptions options)`
`XmlSaxHandler` | `newSaxHandler(SchemaType type, XmlOptions options)`
`static XmlCursor` | `nodeToCursor(Node n)`
`static XmlObject` | `nodeToXmlObject(Node n)`
`static javax.xml.stream.XMLStreamReader` | `nodeToXmlStream(Node n)`
`boolean` | `noSync()`
`XmlObject` | `parseToXmlObject(Node node, SchemaType type, XmlOptions options)`
`static XmlObject` | `parseToXmlObject(SchemaTypeLoader stl, java.io.InputStream is, SchemaType type, XmlOptions options)`
`static XmlObject` | `parseToXmlObject(SchemaTypeLoader stl, Node node, SchemaType type, XmlOptions options)`
`static XmlObject` | `parseToXmlObject(SchemaTypeLoader stl, java.io.Reader reader, SchemaType type, XmlOptions options)`
`static XmlObject` | `parseToXmlObject(SchemaTypeLoader stl, java.lang.String xmlText, SchemaType type, XmlOptions options)`
`static XmlObject` | `parseToXmlObject(SchemaTypeLoader stl, XMLInputStream xis, SchemaType type, XmlOptions options)` Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
`static XmlObject` | `parseToXmlObject(SchemaTypeLoader stl, javax.xml.stream.XMLStreamReader xsr, SchemaType type, XmlOptions options)`
`XmlObject` | `parseToXmlObject(XMLInputStream xis, SchemaType type, XmlOptions options)` Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
`XmlObject` | `parseToXmlObject(javax.xml.stream.XMLStreamReader xsr, SchemaType type, XmlOptions options)`
`void` | `setSaajData(Node n, java.lang.Object o)`
`static Node` | `streamToNode(javax.xml.stream.XMLStreamReader xs)`
`boolean` | `sync()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USE_SAME_LOCALE

    public static final java.lang.String USE_SAME_LOCALE

See Also:
  Constant Field Values

### COPY_USE_NEW_LOCALE

    public static final java.lang.String COPY_USE_NEW_LOCALE

  Deprecated. Replace usages with CopyUseNewSynchronizationDomain option
  This option is checked in XmlObjectBase._copy(XmlOptions), the locale is used as the synchronization domain. useNewLocale = true: copy will use a new locale, false: copy will use the same locale as the source

  See Also:
    `XmlOptions.setCopyUseNewSynchronizationDomain(boolean)`, Constant Field Values

Method Detail

### newInstance

    public static XmlObject newInstance(SchemaTypeLoader stl,
                                        SchemaType type,
                                        XmlOptions options)

### newDomImplementation

    public static DOMImplementation newDomImplementation(SchemaTypeLoader stl,
                                                         XmlOptions options)

### parseToXmlObject

    public static XmlObject parseToXmlObject(SchemaTypeLoader stl,
                                             java.lang.String xmlText,
                                             SchemaType type,
                                             XmlOptions options)
                                      throws XmlException

  Throws:
    `XmlException`

### parseToXmlObject

    public static XmlObject parseToXmlObject(SchemaTypeLoader stl,
                                             XMLInputStream xis,
                                             SchemaType type,
                                             XmlOptions options)
                                      throws XmlException,
                                             XMLStreamException

  Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.

  Throws:
    `XmlException`
    `XMLStreamException`

### parseToXmlObject

    public XmlObject parseToXmlObject(XMLInputStream xis,
                                      SchemaType type,
                                      XmlOptions options)
                               throws XmlException,
                                      XMLStreamException

  Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.

  Throws:
    `XmlException`
    `XMLStreamException`

### parseToXmlObject

    public static XmlObject parseToXmlObject(SchemaTypeLoader stl,
                                             javax.xml.stream.XMLStreamReader xsr,
                                             SchemaType type,
                                             XmlOptions options)
                                      throws XmlException

  Throws:
    `XmlException`

### parseToXmlObject

    public XmlObject parseToXmlObject(javax.xml.stream.XMLStreamReader xsr,
                                      SchemaType type,
                                      XmlOptions options)
                               throws XmlException

  Throws:
    `XmlException`

### parseToXmlObject

    public static XmlObject parseToXmlObject(SchemaTypeLoader stl,
                                             java.io.InputStream is,
                                             SchemaType type,
                                             XmlOptions options)
                                      throws XmlException,
                                             java.io.IOException

  Throws:
    `XmlException`
    `java.io.IOException`

### parseToXmlObject

    public static XmlObject parseToXmlObject(SchemaTypeLoader stl,
                                             java.io.Reader reader,
                                             SchemaType type,
                                             XmlOptions options)
                                      throws XmlException,
                                             java.io.IOException

  Throws:
    `XmlException`
    `java.io.IOException`

### parseToXmlObject

    public static XmlObject parseToXmlObject(SchemaTypeLoader stl,
                                             Node node,
                                             SchemaType type,
                                             XmlOptions options)
                                      throws XmlException

  Throws:
    `XmlException`

### parseToXmlObject

    public XmlObject parseToXmlObject(Node node,
                                      SchemaType type,
                                      XmlOptions options)
                               throws XmlException

  Throws:
    `XmlException`

### newSaxHandler

    public static XmlSaxHandler newSaxHandler(SchemaTypeLoader stl,
                                              SchemaType type,
                                              XmlOptions options)

### newSaxHandler

    public XmlSaxHandler newSaxHandler(SchemaType type,
                                       XmlOptions options)

### clearThreadLocals

    public static void clearThreadLocals()

### enter

    public void enter(Locale otherLocale)

### enter

    public void enter()

  Specified by:
    `enter` in interface `XmlLocale`

### exit

    public void exit(Locale otherLocale)

### exit

    public void exit()

  Specified by:
    `exit` in interface `XmlLocale`

### noSync

    public boolean noSync()

  Specified by:
    `noSync` in interface `XmlLocale`

### sync

    public boolean sync()

  Specified by:
    `sync` in interface `XmlLocale`

### load

    public org.apache.xmlbeans.impl.store.DomImpl.Dom load(java.io.Reader r)
                                                    throws XmlException,
                                                           java.io.IOException

  Throws:
    `XmlException`
    `java.io.IOException`

### load

    public org.apache.xmlbeans.impl.store.DomImpl.Dom load(java.io.Reader r,
                                                           XmlOptions options)
                                                    throws XmlException,
                                                           java.io.IOException

  Throws:
    `XmlException`
    `java.io.IOException`

### load

    public org.apache.xmlbeans.impl.store.DomImpl.Dom load(java.io.InputStream in)
                                                    throws XmlException,
                                                           java.io.IOException

  Throws:
    `XmlException`
    `java.io.IOException`

### load

    public org.apache.xmlbeans.impl.store.DomImpl.Dom load(java.io.InputStream in,
                                                           XmlOptions options)
                                                    throws XmlException,
                                                           java.io.IOException

  Throws:
    `XmlException`
    `java.io.IOException`

### load

    public org.apache.xmlbeans.impl.store.DomImpl.Dom load(java.lang.String s)
                                                    throws XmlException

  Throws:
    `XmlException`

### load

    public org.apache.xmlbeans.impl.store.DomImpl.Dom load(java.lang.String s,
                                                           XmlOptions options)
                                                    throws XmlException

  Throws:
    `XmlException`

### createDocument

    public Document createDocument(java.lang.String uri,
                                   java.lang.String qname,
                                   DocumentType doctype)

  Specified by:
    `createDocument` in interface `DOMImplementation`

### createDocumentType

    public DocumentType createDocumentType(java.lang.String qname,
                                           java.lang.String publicId,
                                           java.lang.String systemId)

  Specified by:
    `createDocumentType` in interface `DOMImplementation`

### hasFeature

    public boolean hasFeature(java.lang.String feature,
                              java.lang.String version)

  Specified by:
    `hasFeature` in interface `DOMImplementation`

### getFeature

    public java.lang.Object getFeature(java.lang.String feature,
                                       java.lang.String version)

  Specified by:
    `getFeature` in interface `DOMImplementation`

### nodeToCursor

    public static XmlCursor nodeToCursor(Node n)

### nodeToXmlObject

    public static XmlObject nodeToXmlObject(Node n)

### nodeToXmlStream

    public static javax.xml.stream.XMLStreamReader nodeToXmlStream(Node n)

### streamToNode

    public static Node streamToNode(javax.xml.stream.XMLStreamReader xs)

### setSaajData

    public void setSaajData(Node n,
                            java.lang.Object o)

  Specified by:
    `setSaajData` in interface `Saaj.SaajCallback`

### getSaajData

    public java.lang.Object getSaajData(Node n)

  Specified by:
    `getSaajData` in interface `Saaj.SaajCallback`

### createSoapElement

    public Element createSoapElement(javax.xml.namespace.QName name,
                                     javax.xml.namespace.QName parentName)

  Specified by:
    `createSoapElement` in interface `Saaj.SaajCallback`

### importSoapElement

    public Element importSoapElement(Document doc,
                                     Element elem,
                                     boolean deep,
                                     javax.xml.namespace.QName parentName)

  Specified by:
    `importSoapElement` in interface `Saaj.SaajCallback`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD